body{
     font-family: "Montserrat", sans-serif;
     margin:0;
     background-color: black;
     overflow: hidden;

}
.main{
    display:flex;
    height:100vh;
 
}
.sidebar
{
    background-color:#121212;
    width:380px;
    border-radius:1rem;
    color:white;
    margin-right:0.25rem;
    margin-left: 0.25rem;
    overflow: auto;


}
.maincontent
{
    background-color: #121212;
    flex:1;
    color:white;
    overflow: auto;
    overflow-x: scroll;
    overflow-y: scroll;
     
}
.musicplayer
{
    background-color: #000;
    position: fixed;
    bottom:0;
    width:100%;
    height:72px;
     color:white;
     display: flex;
}
.nav
{
    display:flex;
    margin:2rem;
    
}
.badge
{
margin-left:7rem;
margin-top:1rem;
border-radius:45%;
color:white;
background-color: #232323;
justify-content: center;
align-items: center;
height: 35px;
width:100px;
border:none
}

.badge:hover{
    background-color: #383838;
}
.box
{
background-color: #232323;
height:8rem;
border-radius:0.75rem;
margin:0.75rem 0 1.75rem 0;
padding:0.75rem 1rem
}
.box-p1
{
    font-size: 1rem;
    font-weight: 500;

}
.box-p2
{
    font-size: 0.85rem;
    
}
.badge-b
{
    border-radius: 1rem;
    border:none;
    font-weight: 700;
    height:2rem;
    margin-top:0.5rem;
    padding:0.25rem 1rem;
}
.badge-b:hover{
   
    font-weight:800;

}
.nav-bar
{
    height:64px;
    background-color:black;
    display:flex;
    align-items:center;
    position: sticky;
    top:0;
    
}

.nav-left
{
    display:flex;
    align-items: center;
    
    
}
.spot-img
{
    padding-left:30px;
    
}
.circle-icon{
 width:42px;
 height:42px;
 border-radius: 50%;
 background-color: #1a1a1a;
 display:flex;
 justify-content: center;
 align-items: center;
 margin-left:20px;
}

.circle-icon i{
    font-size:25px;
}
.nav-center
{
    display:flex;
    align-items: center;
    background-color: #1a1a1a;
    padding:10px 15px;
    border-radius: 30px;
    width:420px;
    gap:15px;
    margin-left:20px;
}
.nav-center input{
    flex:1;
    background-color: transparent;
    border:none;
    outline:none;
    color:white;
    font-size:15px;
}
.nav-right a
{
    text-decoration: none;
    color:#b3b3b3;
    font-weight: 600;
    padding-left:20px;
}
.nav-right a:hover{
     color: white;
}
.divider
{
    width:1px;
    height:25px;
    background-color: #b3b3b3;
    display:inline-block;
    margin-left:20px;
   
}
.login-btn
{
    margin-left:20px;
    border:none;
    padding:10px 22px;
    border-radius: 20px;
    font-weight: bold;
    cursor:pointer;

}
.login-btn:hover
{
    transform:scale(1.05);
}
.nav-right
{
    margin-left:175px;
    white-space: nowrap;
}
@media(max-width:1000px)
{
    .hide
    {
        display:none;
    }
}
.card-container
{
    display:flex;
    flex-wrap:wrap;
}
.card{
    background-color: #232323;
    width:200px;
    border-radius: 0.5rem;
    padding:1rem;
    margin-left: 1.5rem;
    margin-top: 1rem;;

}
.card-img
{
    width:100%;
    border-radius: 0.5rem;;
}
.card-title
{
    font-weight: 600;
}
.card-info
{
    font-size: 0.85rem;
    opacity:0.8;
}
.footer
{
   height:300px ; 
   border-top:1px solid white;
   border-bottom: 1px solid white;
   
   width:90%;
   display:flex;
}
.column{
    padding:1.5rem;
}
.column a
{
    display: block;
    text-decoration: none;
    color:white;
    opacity:0.4;
    

}
.column a:hover
{
    opacity:1;
    font-weight: 200;
    opacity:1;
   
}
.heading
{
    opacity:0.7;
}
.album
{
width:25%;

display:flex;

}
.player{
width:50%;

}
.control
{
    width:25%;
    
}

.album-img
{
    width:60px;
    height:60px;
    padding:5px;
    margin:10px;
    border-radius: 10px;
}
.title{
 font-weight: 600;
 font-size: 0.85rem;
 margin-bottom:0;
 margin-top: 1.2rem;
}
.para
{
    font-size: 0.7rem;
    opacity:0.8;
    margin-top:0.2rem;

}
.albumbody
{
    margin-left:1rem ;
}

.title:hover
{
    text-decoration: underline;
    cursor: pointer;
}
.para:hover{
    text-decoration: underline;
    opacity:1;
    cursor: pointer;
}
.player-control-icon
{
    height:1rem;
    margin-right:1.75rem;
    opacity:0.7;

}
.player-controls
{
 display:flex;
 justify-content: center;
 align-items: center;
 margin-top:0.7rem;
}

.playbackbar
{
    display:flex;
    justify-content: center;
    align-items: center;
    margin-top:1rem ;
}
.progress-bar
{
    width:270%;
    cursor: pointer;
}
.player-control-icon:hover
{
   opacity:1;
   cursor: pointer;
}
.controls{
    display: flex;
    align-items: center;
    justify-content: center;
    
}
.controls i{
    padding:10px;
    opacity:0.5;
}
.controls :hover{
    opacity:1;
    cursor: pointer;
}
